package com.miaxis.wx.service;

import cn.hutool.core.lang.tree.Tree;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.wx.domain.WxMenu;
import com.miaxis.wx.vo.WxMenuVo;

import java.util.List;

/**
 * 微信公众号菜单Service接口
 * @author wwl
 * @version 1.0
 * @date 2021/11/3 9:23
 */
public interface IWxMenuService extends IService<WxMenu> {

    /**
     * 查询微信公众号菜单列表
     *
     * @return 微信公众号菜单集合
     */
    Response<List<WxMenuVo>> selectWxMenuTreeList();

    /**
     * 新增微信公众号菜单
     * @param wxMenu
     * @return
     */
    Response saveMenu(WxMenu wxMenu);


    /**
     * 修改微信公众号菜单
     * @param wxMenu
     * @return
     */
    Response updateMenuById(WxMenu wxMenu);

    /**
     * 删除微信公众号菜单
     * @param ids
     * @return
     */
    Response removeMenuByIds(Long[] ids);

    /**
     * 一键发送数据库菜单
     * @return
     */
    Response sendMenuBySql();

}
